Subject: bug#15461: why do I need it

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Sep 2013 16:39:07 -0400

> If the only use case where you need this is completion of executables,
> an alternative solution could be to teach such completion to look in
> the current buffer's default directory, on systems where that is
> implicit.  This could be an easier solution than futzing with the
> environment.

Completion should mirror the behavior of the code that spawns the
process, so if the process name can be relative to default-directory,
completion should also accept file names in default-directory.

        Stefan